# class Chef::Knife::CookbookSiteSearch

### Public Instance Methods

run() click to toggle source

    # File lib/chef/knife/cookbook_site_search.rb, line 27
    def run
      output(search_cookbook(name_args[0]))
    end

search_cookbook(query, items=10, start=0, cookbook_collection={}) click to toggle source

    # File lib/chef/knife/cookbook_site_search.rb, line 31
    def search_cookbook(query, items=10, start=0, cookbook_collection={})
      cookbooks_url = "http://cookbooks.opscode.com/api/v1/search?q=#{query}&items=#{items}&start=#{start}"
      cr = noauth_rest.get_rest(cookbooks_url)
      cr["items"].each do |cookbook|
        cookbook_collection[cookbook["cookbook_name"]] = cookbook
      end
      new_start = start + cr["items"].length
      if new_start < cr["total"]
        search_cookbook(query, items, new_start, cookbook_collection)
      else
        cookbook_collection
      end
    end